org.apache.tools.ant.taskdefs.optional.junit

## Interface JUnitResultFormatter

All Superinterfaces:
  JUnitTaskMirror.JUnitResultFormatterMirror, junit.framework.TestListener

All Known Implementing Classes:
  BriefJUnitResultFormatter, FailureRecorder, OutErrSummaryJUnitResultFormatter, PlainJUnitResultFormatter, SummaryJUnitResultFormatter, TearDownOnVmCrash, XMLJUnitResultFormatter

    public interface JUnitResultFormatter
    extends junit.framework.TestListener, JUnitTaskMirror.JUnitResultFormatterMirror

This Interface describes classes that format the results of a JUnit testrun.

### Method Summary

Methods
`void` `endTestSuite(JUnitTest suite)` The whole testsuite ended.
`void` `setOutput(java.io.OutputStream out)` Sets the stream the formatter is supposed to write its results to.
`void` `setSystemError(java.lang.String err)` This is what the test has written to System.err
`void` `setSystemOutput(java.lang.String out)` This is what the test has written to System.out
`void` `startTestSuite(JUnitTest suite)` The whole testsuite started.

### Methods inherited from interface junit.framework.TestListener

`addError, addFailure, endTest, startTest`

### Method Detail

#### startTestSuite

    void startTestSuite(JUnitTest suite)
                        throws BuildException

The whole testsuite started.

Parameters:
  `suite` - the suite.
Throws:
  `BuildException` - on error.

#### endTestSuite

    void endTestSuite(JUnitTest suite)
                      throws BuildException

The whole testsuite ended.

Parameters:
  `suite` - the suite.
Throws:
  `BuildException` - on error.

#### setOutput

    void setOutput(java.io.OutputStream out)

Sets the stream the formatter is supposed to write its results to.

Specified by:
  `setOutput` in interface `JUnitTaskMirror.JUnitResultFormatterMirror`
Parameters:
  `out` - the output stream to use.

#### setSystemOutput

    void setSystemOutput(java.lang.String out)

This is what the test has written to System.out

Parameters:
  `out` - the string to write.

#### setSystemError

    void setSystemError(java.lang.String err)

This is what the test has written to System.err

Parameters:
  `err` - the string to write.